> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an authorisation control

> Returns the details of a given authorisation control.



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json get /cards/{cardId}/auth-controls/{authControlId}
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/{cardId}/auth-controls/{authControlId}:
    get:
      tags:
        - Merchant controls
      summary: Retrieve an authorisation control
      description: Returns the details of a given authorisation control.
      operationId: findOneAuthControl
      parameters:
        - name: cardId
          in: path
          required: true
          schema:
            description: The ID of the card to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: authControlId
          in: path
          required: true
          schema:
            type:
              - string
            format: uuid
            maxLength: 36
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  name:
                    type:
                      - string
                    maxLength: 255
                    description: The name of the authorisation control.
                    example: Spending controls
                  id:
                    type:
                      - string
                    maxLength: 36
                    format: uuid
                    description: >-
                      Unique identifier of the resource. If an id is not
                      provided one will be generated.
                    example: a1e54aed-8a68-4602-a792-30f4c67497cf
                  active:
                    type:
                      - boolean
                    description: If the auth control is active. Default is true.
                    example: true
                  startTime:
                    type:
                      - string
                    format: date-time
                    description: Date and time when the control goes into effect, in UTC.
                    example: '2023-03-14T12:08:53Z'
                  endTime:
                    type:
                      - string
                    format: date-time
                    description: Date and time when the control ends, in UTC.
                    example: '2023-03-14T12:08:53Z'
                  merchantScope:
                    type:
                      - object
                    properties:
                      mcc:
                        type:
                          - string
                        maxLength: 4
                        description: Merchant Category Code
                        example: '3596'
                      mid:
                        type:
                          - string
                        maxLength: 36
                        description: >-
                          Merchant identifier (MID). Identifies a specific
                          merchant.
                      mccGroup:
                        type:
                          - string
                        maxLength: 36
                        description: Predefined group of merchant category codes.
                        example: Airlines
                required:
                  - name
                example:
                  name: Spending controls
                  id: a1e54aed-8a68-4602-a792-30f4c67497cf
                  active: true
                  startTime: '2023-03-14T12:08:53Z'
                  endTime: '2023-03-14T12:08:53Z'
                  merchantScope:
                    mcc: '3596'
                    mid: string
                    mccGroup: Airlines
      security:
        - CommonAuth:
            - auth-controls:read:own
            - auth-controls:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````